import { h } from "@stencil/core";
export function LoadingSlot() {
  return (h("slot", { name: "loading" },
    h(LoadingRow, null),
    h(LoadingRow, null),
    h(LoadingRow, null),
    h(LoadingRow, null)));
}
export function LoadingRow() {
  return (h("sqm-table-row", null,
    h("sqm-table-cell", { colspan: 5 },
      h("sqm-skeleton", null))));
}
export function LoadingSkeleton() {
  return (h("div", { style: { width: "100%" } },
    h("sqm-skeleton", { style: { marginBottom: "28px" } }),
    h("sqm-skeleton", { style: { marginBottom: "28px" } }),
    h("sqm-skeleton", { style: { marginBottom: "28px" } }),
    h("sqm-skeleton", { style: { marginBottom: "28px" } }),
    h("sqm-skeleton", null)));
}
export function EmptySlot({ label }) {
  return (h("slot", { name: "empty" },
    h(EmptySkeleton, { label: label })));
}
export function EmptySkeleton({ label }) {
  return (h("div", { style: { width: "100%" } },
    h("sqm-text", null,
      h("h3", { style: { color: "#777777" } }, label))));
}
